#ifndef __glauber_h__
#define __glauber_h__

#define SMALLT 1.0e-08

double woodsSaxonDist(double r, double A);
void sampleWoodsSaxon(int A, double *x, double *y);
int MCcollisions(int A, double b, double *x, double *y);
double TA(double x, double y, double A);
double TAB(double x, double y, double A, double B, double b);
double nPartAB(double x, double y, double A, double B, double b);
double edProfileABpart(double x, double y, double A, double B, double b);
double edProfileABbin(double x, double y, double A, double B, double b);

#endif /* __glauber_h__ */
