#ifndef __rfuncs_h__
#define __rfuncs_h__

#define SMALL 1.0e-4
#define TOLERANCE 1.0e-4
#define NPTS 200

extern double H2(double u);
extern double H2T(double u);
extern double H2L(double u);
extern double Rb(double az);

extern double ay(double ax, double az);
extern double d1ay(double ax, double az);
extern double d2ay(double ax, double az);
extern double R(double ax, double az);
extern double Rx(double ax, double az);
extern double Ry(double ax, double az);
extern double d1R(double ax, double az);
extern double d2R(double ax, double az);
extern double HTx(double ax, double az);
extern double HTy(double ax, double az);
extern double d1HTx(double ax, double az);
extern double d2HTx(double ax, double az);
extern double HL(double ax, double az);
extern double HLx(double ax, double az);
extern double HLy(double ax, double az);


#endif /* __rfuncs_h__ */
