#ifndef __eos_h__
#define __eos_h__

// assumes Nf=3
#define EOSFACTOR 15.6269

extern void initializeEoS();

extern void finalizeEoS();

extern double Teff(double ed);

extern double Teff(double ax, double az, double lambda);

extern double Eiso(double lambda);

extern double dEiso(double lambda);

extern double Piso(double lambda);

extern double dPiso(double lambda);

#endif /* __eos_h__ */
