#ifndef __freezeout_h__
#define __freezeout_h__

#define THETAMIN M_PI/10.
#define THETAPTS 80 //300
#define PHIPTS 40 //80
#define ZETAPTS 60 //120

#define SCALEFACTOR 1

extern void pushFreezeoutData(double tau);
extern void doFreezeOut();

void loadFreezeoutVariables();
double computeFreezeoutIntegral(double m, double pt, double y, double phi);
void outputFreezeoutIntegrand();
void outputRawFreezeoutData();
void outputSampledFreezeoutData();

#endif /* __freezeout_h__ */
