#ifndef __gubser_h__
#define __gubser_h__

#define NRHOSTEPS 1000
#define RHOMAX 10.

void solveGubserEqs(double lambda0, double alphaz0);
void setupGubserInterpolations();
void freeGubserInterpolations();
double lambdaGubserMinkowski(double t, double r);
double azGubserMinkowski(double t, double r);
double thetapGubserMinkowski(double t, double r);

#endif /* __gubser_h__ */
