/*
 
 memory.cpp
 
 Copyright (c) Mohammad Nopoush and Michael Strickland
 
 GNU General Public License (GPLv3)
 See detailed text in license directory
 
 */

#include <stdlib.h>
#include <stdio.h>
#include <iostream>

using namespace std;

#include "aHydro1p1b.h"

double* allocate1DArray() {
    double *tmp;
    tmp = new double[NUM];
    return tmp;
}

void free1DArray(double *array) {
    delete[] array;
}

void allocateMemory()
{
    cout << "==> Allocating memory\n";
    
    lambda = allocate1DArray();
    alphax = allocate1DArray();
    alphaz = allocate1DArray();
    thetap = allocate1DArray();
    
    Lambda = allocate1DArray();
    Alphax = allocate1DArray();
    Alphaz = allocate1DArray();
    Thetap = allocate1DArray();
    
    rhs_lambda = allocate1DArray();
    rhs_alphax = allocate1DArray();
    rhs_alphaz = allocate1DArray();
    rhs_thetap = allocate1DArray();
    
    RK4_lambda = allocate1DArray();
    RK4_alphax = allocate1DArray();
    RK4_alphaz = allocate1DArray();
    RK4_thetap = allocate1DArray();
}

void freeMemory()
{
    free1DArray(lambda);
    free1DArray(alphax);
    free1DArray(alphaz);
    free1DArray(thetap);
    
    free1DArray(Lambda);
    free1DArray(Alphax);
    free1DArray(Alphaz);
    free1DArray(Thetap);
    
    free1DArray(rhs_lambda);
    free1DArray(rhs_alphax);
    free1DArray(rhs_alphaz);
    free1DArray(rhs_thetap);
    
    free1DArray(RK4_lambda);
    free1DArray(RK4_alphax);
    free1DArray(RK4_alphaz);
    free1DArray(RK4_thetap);
}
